require 'date'

class Employee
  def initialize(n, h, s)
    @name = n
    @hiredate = h
    @salary = s
  end
  
  def display
    printf("%s\t%s\t$%5.2f", @name, @hiredate, @salary)
  end
end

class FacultyMember < Employee
  def initialize(n, h, s, ra, rs)
    super(n, h, s)
    @rank = ra
    @research_specialty = rs
  end
  
  def display
    puts "Faculty member:"
    super
    printf("\t%s\t%s", @rank, @research_specialty)
  end
end

class StaffMember < Employee
  def initialize(n, h, s, si)
    super(n, h, s)
    @sick_days = si
  end

  def display
    puts "Staff member:"
    super
    printf("\t%s", @sick_days)
  end
end

hire_date = Date.new(2004, 10, 12)
employee = 
  Employee.new("Buddy Burd", hire_date, 2500.26)

hire_date = Date.new(1995, 3, 18)
faculty = 
  FacultyMember.new("Bumper Burd", hire_date, 
                    4125.01, "Assistant Professor",
                    "Computer Science")

hire_date = Date.new(2006, 1, 1)
staff = 
  StaffMember.new("Binky Burd", hire_date, 1000.00, 24)

employee.display
print "\n\n"
faculty.display
print "\n\n"
staff.display
