class Dream < ActiveRecord::Base
  validates_presence_of :title, :description
  validates_length_of :description, :minimum => 10
  validates_length_of :description, :maximum => 500
  validates_uniqueness_of :title
  
  has_many :comments
  has_and_belongs_to_many :keywords  
end
